[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TAggregatedObject.Create

Create a new instance of TAggregatedObject

## Declaration

Source position: objpash.inc line 307

`public constructor TAggregatedObject.Create(`
`const aController: IUnknown`
`);`

## Description

Create creates a new instance of TAggregatedObject on the heap, and stores a reference to aController, so it can be exposed in the Controller property.

## Errors

If not enough memory is present on the heap, an exception will be raised. If the aController is Nil, exceptions will occur when any of the TAggregatedObject methods (actually, the IUnknown methods) are used.

## See also

Controller |  | Controlling instance

Documentation generated on: Feb 26 2014